package cn.estsh.i3plus.core.apiservice.mq;

import cn.estsh.i3plus.platform.common.util.PlatformConstWords;
import cn.estsh.i3plus.pojo.platform.bean.SysMessage;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.amqp.rabbit.annotation.RabbitHandler;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;

/**
 * @Description : 站内信队列处理
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2018-11-15 22:35
 * @Modify:
 **/
@Component
@RabbitListener(queues = PlatformConstWords.IMPP_MESSAGE_LETTER_QUEUE_BAK)
public class MessageLetterQueueReceiverHandler {

    private static final Logger LOGGER = LoggerFactory.getLogger(MessageLetterQueueReceiverHandler.class);

    @RabbitHandler
    public void handleMessage(byte[] message){
        LOGGER.info("【MQ-{}】handleMessage(byte[] message) 数据接收成功：{}",PlatformConstWords.IMPP_MESSAGE_LETTER_QUEUE_BAK, message);
    }

    @RabbitHandler
    public void handleMessage(String message){
        LOGGER.info("【MQ-{}】handleMessage(String message) 数据接收成功：{}",PlatformConstWords.IMPP_MESSAGE_LETTER_QUEUE_BAK, message);
    }

    @RabbitHandler
    public void handleMessage(SysMessage message){
        LOGGER.info("【MQ-{}】handleMessage(SysMessage message) 数据接收成功：{}",PlatformConstWords.IMPP_MESSAGE_LETTER_QUEUE_BAK, message);
    }

}
