package cn.estsh.i3plus.core.apiservice.schedulejob;

import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.impp.framework.base.schedule.BaseImppScheduleJob;
import cn.estsh.impp.framework.boot.init.ApplicationProperties;
import io.swagger.annotations.ApiOperation;
import org.quartz.JobExecutionContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description :  通用消息推送job
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-05-04 16:02
 * @Modify:
 **/
@ApiOperation("通用消息推送job")
public class CoreMessagePushJob extends BaseImppScheduleJob {
    public static final Logger LOGGER = LoggerFactory.getLogger(CoreMessagePushJob.class);

    public CoreMessagePushJob() {
        super(CoreMessagePushJob.class,"通用消息推送job");
    }

    /**
     * rabbitMQ队列
     */
    @Autowired
    private RabbitTemplate rabbitTemplate;

    @Override
    public void executeImppJob(JobExecutionContext context, ApplicationProperties applicationProperties) {
        rabbitTemplate.convertAndSend(getJobParam(),CommonEnumUtil.TRUE_OR_FALSE.TRUE.getValue());
    }
}
